#ifdef __cplusplus
extern "C" {
#endif

#define YIYANG_INITIALIZE	0
#define YIYANG_RECV_RCF		1
#define YIYANG_RECV_CALLED	2
#define YIYANG_SEND_ARQ		3
#define YIYANG_SEND_SETUP	4

 BOOLEAN YiyangTcpRun();
 void YiyangTcpHandleTimer();
 UCHAR YiyangUserData(UCHAR iType, PXCHAR pBuf);
 void YiyangDecodeNonStandard(UCHAR iType, PXCHAR pData, UCHAR iLength);
 void YiyangNatConnect();

extern  XCHAR Yiyang_iState;

#ifdef __cplusplus
}
#endif
